## node-dashdash 1.14.1

=== Makefile ===

NODEUNIT = ./node_modules/.bin/nodeunit
JSSTYLE_FILES := $(shell find lib test -name "*.js")
NODEOPT ?= $(HOME)/opt


all $(NODEUNIT):
	npm install

.PHONY: distclean
distclean:
	rm -rf node_modules


.PHONY: test
test: | $(NODEUNIT)
	$(NODEUNIT) test/*.test.js

.PHONY: testall
testall: test6 test7 test4 test012 test010
.PHONY: test6
test6:
	@echo "# Test node 6.x (with node `$(NODEOPT)/node-6/bin/node --version`)"
	@$(NODEOPT)/node-6/bin/node --version
	PATH="$(NODEOPT)/node-6/bin:$(PATH)" make test
.PHONY: test7
test7:
	@echo "# Test node 7.x (with node `$(NODEOPT)/node-7/bin/node --version`)"
	@$(NODEOPT)/node-7/bin/node --version
	PATH="$(NODEOPT)/node-7/bin:$(PATH)" make test
.PHONY: test4
test4:
	@echo "# Test node 4.x (with node `$(NODEOPT)/node-4/bin/node --version`)"
	@$(NODEOPT)/node-4/bin/node --version
	PATH="$(NODEOPT)/node-4/bin:$(PATH)" make test
.PHONY: test012
test012:
	@echo "# Test node 0.12.x (with node `$(NODEOPT)/node-0.12/bin/node --version`)"
	@$(NODEOPT)/node-0.12/bin/node --version
	PATH="$(NODEOPT)/node-0.12/bin:$(PATH)" make test
.PHONY: test010
test010:
	@echo "# Test node 0.10.x (with node `$(NODEOPT)/node-0.10/bin/node --version`)"
	@$(NODEOPT)/node-0.10/bin/node --version
	PATH="$(NODEOPT)/node-0.10/bin:$(PATH)" make test

.PHONY: clean
clean:
	rm -f dashdash-*.tgz

.PHONY: check-jsstyle
check-jsstyle: $(JSSTYLE_FILES)
	./tools/jsstyle -o indent=4,doxygen,unparenthesized-return=0,blank-after-start-comment=0,leading-right-paren-ok $(JSSTYLE_FILES)

.PHONY: check
check:: check-jsstyle versioncheck
	@echo "Check ok."

# Ensure CHANGES.md and package.json have the same version.
.PHONY: versioncheck
versioncheck:
	@echo version is: $(shell cat package.json | json version)
	[[ `cat package.json | json version` == `grep '^## ' CHANGES.md | head -2 | tail -1 | awk '{print $$2}'` ]]

.PHONY: cutarelease
cutarelease: versioncheck
	[[ -z `git status --short` ]]  # If this fails, the working dir is dirty.
	@which json 2>/dev/null 1>/dev/null && \
	    ver=$(shell json -f package.json version) && \
	    name=$(shell json -f package.json name) && \
	    publishedVer=$(shell npm view -j $(shell json -f package.json name)@$(shell json -f package.json version) version 2>/dev/null) && \
	    if [[ -n "$$publishedVer" ]]; then \
		echo "error: $$name@$$ver is already published to npm"; \
		exit 1; \
	    fi && \
	    echo "** Are you sure you want to tag and publish $$name@$$ver to npm?" && \
	    echo "** Enter to continue, Ctrl+C to abort." && \
	    read
	ver=$(shell cat package.json | json version) && \
	    date=$(shell date -u "+%Y-%m-%d") && \
	    git tag -a "$$ver" -m "version $$ver ($$date)" && \
	    git push --tags origin && \
	    npm publish

=== debian/changelog ===
node-dashdash (1.14.1-2) unstable; urgency=medium

  * Set TZ=UTC to make tests pass everywhere (Closes: #890141)
  * Enable nocheck build profile
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Change section to javascript

 -- Pirate Praveen <praveen@debian.org>  Wed, 19 Sep 2018 17:29:39 +0530

node-dashdash (1.14.1-1) unstable; urgency=low

  * Initial release (Closes: #861679)

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 May 2017 22:21:11 +0530

=== debian/control ===
Source: node-dashdash
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , nodejs
 , nodeunit <!nocheck>
 , node-assert-plus (>= 1.0~) <!nocheck>
Standards-Version: 4.2.1
Homepage: https://github.com/trentm/node-dashdash#readme
Vcs-Git: https://salsa.debian.org/js-team/node-dashdash.git
Vcs-Browser: https://salsa.debian.org/js-team/node-dashdash

Package: node-dashdash
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-assert-plus (>= 1.0~)
Description: light, featureful and explicit option parsing library
 The author of the library gives this rationale: the other option parsing
 libraries are one of too loosey goosey (not explicit), too big/too many deps,
 or ill specified.
 .
 This library is a dependency for sshpk, a library to parse, convert,
 fingerprint and use SSH keys (both public and private) in pure nodejs.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export TZ=UTC

%:
	dh $@

#override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	nodeunit test/*.test.js
endif

=== debian/tests/control ===
Tests: require
Depends: node-dashdash

Test-Command: nodeunit test/*.test.js
Depends: @, nodeunit

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-dashdash-$1.tar.gz/ \
 https://github.com/trentm/node-dashdash/tags .*/archive/v?([\d\.]+).tar.gz

## node-dashdash 2.0.0

=== Makefile ===

all:
	npm install

.PHONY: test
test:
	npm test

.PHONY: distclean
distclean: clean
	rm -rf node_modules

.PHONY: clean
clean:
	rm -f dashdash-*.tgz

# Run just the lint-y parts of eslint (i.e. not "prettier" formatting).
.PHONY: lint
lint:
	npm run lint

.PHONY: fmt
fmt:
	npm run fmt

.PHONY: check
check:: check-eslint check-version
	@echo "Check ok."

.PHONY: check-eslint
check-eslint:
	npm run check

# Ensure CHANGES.md and package.json have the same version.
.PHONY: check-version
check-version:
	@echo version is: $(shell cat package.json | json version)
	[[ `cat package.json | json version` == `grep '^## ' CHANGES.md | head -2 | tail -1 | awk '{print $$2}'` ]]

.PHONY: cutarelease
cutarelease: check-version
	[[ -z `git status --short` ]]  # If this fails, the working dir is dirty.
	@which json 2>/dev/null 1>/dev/null && \
	    ver=$(shell json -f package.json version) && \
	    name=$(shell json -f package.json name) && \
	    publishedVer=$(shell npm view -j $(shell json -f package.json name)@$(shell json -f package.json version) version 2>/dev/null) && \
	    if [[ -n "$$publishedVer" ]]; then \
		echo "error: $$name@$$ver is already published to npm"; \
		exit 1; \
	    fi && \
	    echo "** Are you sure you want to tag and publish $$name@$$ver to npm?" && \
	    echo "** Enter to continue, Ctrl+C to abort." && \
	    read
	ver=$(shell cat package.json | json version) && \
	    date=$(shell date -u "+%Y-%m-%d") && \
	    git tag -a "v$$ver" -m "version $$ver ($$date)" && \
	    git push origin "v$$ver" && \
	    npm publish

=== debian/changelog ===
node-dashdash (2.0.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-dashdash: Add Multi-Arch: foreign.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 01:21:41 +0000

node-dashdash (2.0.0-3) unstable; urgency=medium

  * Team upload
  * Fix test for tap >= 15 (--no-cov) (Closes: #1009570)

 -- Yadd <yadd@debian.org>  Mon, 18 Apr 2022 08:04:41 +0200

node-dashdash (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 12:23:56 +0100

node-dashdash (2.0.0-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 2.0.0
  * Update copyright
  * Drop useless patch
  * Update test (use tap instead of nodeunit)
  * Install examples

 -- Xavier Guimard <yadd@debian.org>  Wed, 02 Dec 2020 11:25:31 +0100

node-dashdash (1.14.1-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use pkg-js-tools auto test & install
  * Fix copyright

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 May 2020 11:38:47 +0200

=== debian/control ===
Source: node-dashdash
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-assert-plus <!nocheck>
 , node-tap <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-dashdash
Vcs-Git: https://salsa.debian.org/js-team/node-dashdash.git
Homepage: https://github.com/trentm/node-dashdash
Rules-Requires-Root: no

Package: node-dashdash
Architecture: all
Depends: ${misc:Depends}
 , node-assert-plus
Multi-Arch: foreign
Description: light, featureful and explicit option parsing library
 The author of the library gives this rationale: the other option parsing
 libraries are one of too loosey goosey (not explicit), too big/too many deps,
 or ill specified.
 .
 This library is a dependency for sshpk, a library to parse, convert,
 fingerprint and use SSH keys (both public and private) in pure nodejs.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export TZ=UTC

%:
	dh $@

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-dashdash-$1/ \
 https://github.com/trentm/node-dashdash/tags .*/archive/.*/v?([\d\.]+).tar.gz
